Payment Methods (Direct Workflow)
Reassign a Payment Method to Another Customer
Reassigns an enrolled payment method to a different customer of the same account
PATCH
Reassign a Payment Method to Another Customer
Reassign an enrolled payment method to a different customer of the same account. Send the
A payment method that is already assigned to a customer that has data cannot be reassigned, and the request is rejected with
customer_id of the target customer in the request body. Only card payment methods can be reassigned. The response returns the payment method in the same shape as the Enroll Payment Method response, with the new owner in the customer_id field.
To reassign the payment method, you need to provide the
payment_method_id, which is the vaulted_token received when using the Enroll Payment Method endpoint.409 CONFLICT.
Authorizations
Path Parameters
The unique identifier of the payment_method. This is the vaulted_token received when enrolling a payment method with Enroll Payment Method (UUID).
Body
application/json
Response
The reassigned payment method, including the new owner in the customer_id field.